=== debian/control ===
Source: ros-indigo-stomp-moveit
Section: misc
Priority: extra
Maintainer: Jorge Nicho <jrgnichodevel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-stomp-core
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-stomp-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-moveit-core, ros-indigo-moveit-ros-planning, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-stomp-core
Description: The stomp_moveit package
